org.apache.commons.math3.genetics

## Interface SelectionPolicy

All Known Implementing Classes:
  TournamentSelection

    public interface SelectionPolicy

Algorithm used to select a chromosome pair from a population.

Since:
  2.0
Version:
  $Id: SelectionPolicy.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`ChromosomePair` `select(Population population)` Select two chromosomes from the population.

### Method Detail

#### select

    ChromosomePair select(Population population)
                          throws MathIllegalArgumentException

Select two chromosomes from the population.

Parameters:
  `population` - the population from which the chromosomes are choosen.
Returns:
  the selected chromosomes.
Throws:
  `MathIllegalArgumentException` - if the population is not compatible with this `SelectionPolicy`